Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

From: Zhuangshunwan <[email-masked]>
Date: Thu, 3 Dec 2020 00:55:29 +0000

Matthew, Stephane and WG,

I'm not aware of any relevant IPR.
As a co-author, I support publishing this draft as a standards track RFC.
I know that there are many implementations and interoperability tests that have already been listed in the document: https://tools.ietf.org/id/draft-matsushima-spring-srv6-deployment-status-09.txt

Regards,
--Shunwan

From: Bocci, Matthew (Nokia - GB) [mailto:[email-masked]]
Sent: Tuesday, December 1, 2020 1:16 AM
To: [email-masked]; [email-masked]
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

This email starts a two-week working group last call for draft-ietf-bess-srv6-services-05 [1]

Please review the draft and send any comments to the BESS list. Also, please indicate if you support publishing the draft as a standards track RFC.

This poll runs until Monday 14th December 2020.

We are also polling for knowledge of any undisclosed IPR that applies to this Document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an Author or a Contributor of this document please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR. The Document won't progress without answers from all the Authors and Contributors.
There is currently one IPR disclosure.

In addition, we are polling for knowledge of implementations of this draft, per the BESS policy in [2].

Thank you,
Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-srv6-services/
[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Thu, 3 Dec 2020 03:42:58 +0000

Dear authors and all,

 I find the following changes in the new version, which may cause incompatible changes in the implemented version.

The label field described in RFC4364:

4.3.4. How VPN-IPv4 NLRI Is Carried in BGP

   The labeled VPN-IPv4 NLRI itself is encoded as specified in

   [MPLS-BGP<https://tools.ietf.org/html/rfc4364#ref-MPLS-BGP>], where the prefix consists of an 8-byte RD followed by an

   IPv4 prefix.

 RFC 3107 describe the label field:

3. Carrying Label Mapping Information

      b) Label:

         The Label field carries one or more labels (that corresponds to

         the stack of labels [MPLS-ENCAPS<https://tools.ietf.org/html/rfc3107#ref-MPLS-ENCAPS>]).  Each label is encoded as 3

         octets, where the high-order 20 bits contain the label value,

         and the low order bit contains "Bottom of Stack" (as defined in

         [MPLS-ENCAPS<https://tools.ietf.org/html/rfc3107#ref-MPLS-ENCAPS>]).

According to the definition, the label field in RFC 4364 should be 3 bytes,  but only 20 bits are used as the label value. So we may also use the entire 3 octets.

On the other hand,  if only 20 bits are used, do we need to add the BoS flag to the part when do the transposition?

Best Regards,

Haibo

From: BESS [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Nokia - GB)
Sent: Tuesday, December 1, 2020 1:16 AM
To: [email-masked]; [email-masked]
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

---

From: Gaurav Dawra <[email-masked]>
Date: Wed, 2 Dec 2020 22:46:05 -0800

Hi Chairs,

I’m not aware of non-disclosed IPR.

As a co-author and editor, I support publishing this draft as a standards track RFC.

Gaurav
LinkedIn

> On Nov 30, 2020, at 9:15 AM, Bocci, Matthew (Nokia - GB) <[email-masked]> wrote:
> 
>

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 3 Dec 2020 07:06:40 +0000

Hi Matthew/Stephane,

I support the publication of this draft as standards track RFC. As a co-author, I am not aware of any IPR other than the one that has already been disclosed on the draft.

I would also like to report Cisco having implementations of this draft for L3VPN (IPv4/IPv6), Internet v4/v6 and EVPN services. Some of these implementations are already shipping and deployed in production networks.

Some of these implementation and deployment details have been captured in https://datatracker.ietf.org/doc/draft-matsushima-spring-srv6-deployment-status/

Thanks,
Ketan

From: Bocci, Matthew (Nokia - GB) <[email-masked]>
Sent: 30 November 2020 22:46
To: [email-masked]; [email-masked]
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 3 Dec 2020 09:17:05 +0100

Hi Matthew & Stephane,

I support the publication of this draft as standards track RFC.

As a co-author, I am not aware of any undisclosed IPR(s).

Thank you,

Robert

On Mon, Nov 30, 2020 at 6:15 PM Bocci, Matthew (Nokia - GB) <
[email-masked]> wrote:

> Please review the draft and send any comments to the BESS list. Also,
> please indicate if you support publishing the draft as a standards track
> RFC.
>
>
>
> We are also polling for knowledge of any undisclosed IPR that applies to
> this Document, to ensure that IPR has been disclosed in compliance with
> IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
>
>
>
> If you are listed as an Author or a Contributor of this document please
> respond to this email and indicate whether or not you are aware of any
> relevant undisclosed IPR. The Document won't progress without answers from
> all the Authors and Contributors.
>

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 3 Dec 2020 09:01:12 +0000

Hi Haibo,

This clarification was explicitly added based on feedback that the authors received.

This document does not change the definition of the Label Field of RFC4364 and so it has always been 20 bits. There has been this text about 24-bit in other parts of the draft since RFC7432 allows that.

If you see the previous versions of this document, the encoding of the label was also previously clarified with a reference to RFC8277.

Regarding the BOS bit, the clarification is provided by RFC8277. Previously, this was under-specified by RFC3107. There are implementations around that do not check/examine the BOS field and assume a single label. You can see some of this history captured in RFC8277.

Thanks,
Ketan

From: Wanghaibo (Rainsword) <[email-masked]>
Sent: 03 December 2020 09:13
To: Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Dear authors and all,

   IPv4 prefix.

      b) Label:

Best Regards,

Haibo

From: BESS [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Nokia - GB)
Sent: Tuesday, December 1, 2020 1:16 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

---

From: "Clarence Filsfils (cfilsfil)" <[email-masked]>
Date: Thu, 3 Dec 2020 09:20:44 +0000

Support publication. I am not aware of any undisclosed IPR as co-author.

Cheers,
Clarence

From: Bocci, Matthew (Nokia - GB) <[email-masked]>
Sent: Monday, November 30, 2020 18:16
To: [email-masked]; [email-masked]
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

---

From: Huzhibo <[email-masked]>
Date: Thu, 3 Dec 2020 09:34:09 +0000

Hi Matthew, Stephane and WG,

I support publishing this draft as a standards track RFC.
I know that there are many deployment cases that have already been captured in the document: https://tools.ietf.org/id/draft-tian-spring-srv6-deployment-consideration-03.txt

Regards,
--Zhibo

Thank you,
Matthew & Stephane

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Thu, 3 Dec 2020 10:09:25 +0000

Hi Ketan,

         Thanks for your reply.

RFC 8277 has clearly described that the label field is only 20 bits.

At the beginning, we consider it to use the 20-bits to do the transposition. But in some interconnection tests, some vendors are use the 24-bits to do the transposition.

So I’m worried about that the change may cause incompatible interop.

Regards，
Haibo

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Thursday, December 3, 2020 5:01 PM
To: Wanghaibo (Rainsword) <[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Hi Haibo,

Thanks,
Ketan

From: Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>>
Sent: 03 December 2020 09:13
To: Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Dear authors and all,

   IPv4 prefix.

      b) Label:

Best Regards,

Haibo

Thank you,
Matthew & Stephane

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 3 Dec 2020 10:25:00 +0000

Hi Haibo,

This is not a change but a clarification to avoid exactly those kind of issues.

Thanks,
Ketan

From: Wanghaibo (Rainsword) <[email-masked]>
Sent: 03 December 2020 15:39
To: Ketan Talaulikar (ketant) <[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Hi Ketan,

         Thanks for your reply.

Regards，
Haibo

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Thursday, December 3, 2020 5:01 PM
To: Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>>; Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Hi Haibo,

Thanks,
Ketan

Dear authors and all,

   IPv4 prefix.

      b) Label:

Best Regards,

Haibo

Thank you,
Matthew & Stephane

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Thu, 3 Dec 2020 13:50:02 +0000

Hi Haibo,

I agree with Ketan… furthermore, the spec clearly defines the structure sub-sub-TLV, where the transposition length and offset are needed; it also defines how to place those bits into the label field of the NLRI, irrespective of the transposition length being 24 or 20 or anything different.

Out of interest, how can that lead to interop issues? Can you please elaborate?

Thank you.
Jorge

From: Ketan Talaulikar (ketant) <[email-masked]>
Date: Thursday, December 3, 2020 at 11:25 AM
To: Wanghaibo (Rainsword) <[email-masked]>, Bocci, Matthew (Nokia - GB) <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05
Hi Haibo,

Thanks,
Ketan

Hi Ketan,

         Thanks for your reply.

Regards，
Haibo

Hi Haibo,

Thanks,
Ketan

Dear authors and all,

   IPv4 prefix.

      b) Label:

Best Regards,

Haibo

Thank you,
Matthew & Stephane

---

From: "Voyer, Daniel" <[email-masked]>
Date: Thu, 3 Dec 2020 14:13:03 +0000

Hi,
I’m not aware of any relevant IPR and as a contributor, I support the publication of this document as standard track RFC.

Thanks
dan

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Monday, November 30, 2020 at 12:15 PM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05
Resent-From: <[email-masked]>

Thank you,
Matthew & Stephane

---

From: Dirk Steinberg <[email-masked]>
Date: Thu, 3 Dec 2020 18:16:15 +0200

Hi,

as a contributor I support the publication of this draft as standards track
RFC.
I am not aware of any undisclosed IPR(s).

Thanks,
Dirk

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Sat, 5 Dec 2020 01:04:05 +0000

Hi Rabadan & Ketan,

         I agree that the present description is clear.

      At the EANTC 2020 test, we found that the NX-OS has implement the transposition as 24bits for IPv4 VPN,  and it will parse a 20bits transposition as a wrong value.

       If we all agree on this description, I think it's okay.

Regards,
Haibo

From: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]]
Sent: Thursday, December 3, 2020 9:50 PM
To: Ketan Talaulikar (ketant) <[email-masked]>; Wanghaibo (Rainsword) <[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Hi Haibo,

Thank you.
Jorge

From: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>
Date: Thursday, December 3, 2020 at 11:25 AM
To: Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>>, Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05
Hi Haibo,

Thanks,
Ketan

From: Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>>
Sent: 03 December 2020 15:39
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Hi Ketan,

         Thanks for your reply.

Regards，
Haibo

Hi Haibo,

Thanks,
Ketan

Dear authors and all,

   IPv4 prefix.

      b) Label:

Best Regards,

Haibo

Thank you,
Matthew & Stephane

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Sat, 5 Dec 2020 01:11:34 +0000

Hi Matthew & Stephane,

Support for publication.

Thanks,
Haibo

Thank you,
Matthew & Stephane

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Mon, 7 Dec 2020 01:50:14 +0000

Hi WG,

I support this adoption, and I am not aware of any non-disclosed IPR except the one has been announced.

Thanks,
Cheng

Thank you,
Matthew & Stephane

---

From: "PEIRENS Bart (NSP/MST)" <[email-masked]>
Date: Mon, 7 Dec 2020 16:32:29 +0000

Hi Chairs,

I'm not aware of any relevant undisclosed IPR and as a contributor, I support the publication of this document as standard track RFC.

Regards

Bart

Sensitivity: Internal Use Only
From: Bocci, Matthew (Nokia - GB) <[email-masked]>
Sent: Monday, November 30, 2020 6:16 PM
To: [email-masked]; [email-masked]
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

This e-mail cannot be used for other purposes than Proximus business use. See more on https://www.proximus.be/maildisclaimer

---

From: "[email-masked]" <[email-masked]>
Date: Tue, 8 Dec 2020 09:26:24 +0800

Hi, all

    I support publishing the draft as a standards track RFC.

Best Regards
Zongpeng Du

[email-masked] & [email-masked]

 

 

Thank you,
Matthew & Stephane

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 8 Dec 2020 06:28:51 +0000

Hi Matthew & Stephane,

Best regards,
Jie

Thank you,
Matthew & Stephane

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Tue, 8 Dec 2020 16:01:01 +0000

As a contributor, I am not aware of any relevant undisclosed IPR that applies to this document.

Thanks,
Darren Dukes

________________________________
From: Bocci, Matthew (Nokia - GB) <[email-masked]>
Sent: Monday, November 30, 2020 12:15 PM
To: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,

Matthew & Stephane

---

From: Linda Dunbar <[email-masked]>
Date: Tue, 8 Dec 2020 16:29:39 +0000

Support for the publication.

Linda Dunbar

Thank you,
Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-srv6-services/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-bess-srv6-services%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cd14939408a2541baa31108d898bac2d8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637427275185677834%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=HYo%2BHHhe8bo%2FfkBmNkQ02GDUBKgJMFasINFVc%2FdSaTs%3D&reserved=0>
[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Fbess%2FcG3X1tTqb_vPC4rg56SEdkjqDpw&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cd14939408a2541baa31108d898bac2d8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637427275185687832%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=9SsqwNW00sq2hGWJ55nz6N2nGOUvmf4gYM0g8mW6I%2BE%3D&reserved=0>

---

From: "Majumdar, Kausik" <[email-masked]>
Date: Tue, 8 Dec 2020 17:47:45 +0000

Kausik

From: BESS <[email-masked]> On Behalf Of Bocci, Matthew (Nokia - GB)
Sent: Monday, November 30, 2020 9:16 AM
To: [email-masked]; [email-masked]
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

This email starts a two-week working group last call for draft-ietf-bess-srv6-services-05 [1] Please review the draft and send any comments to the BESS list. Also, please indicate if you support publi
External ([email-masked]<mailto:[email-masked]>)
Report This Email<https://shared.outlook.inky.com/report?id=Y29tbXNjb3BlL2thdXNpay5tYWp1bWRhckBjb21tc2NvcGUuY29tLzNjYzQ5YTZjMGFjZTQyNDlkOGRkYWUyZDgzZmExNmFmLzE2MDY3NTY1NjAuODU=#key=6e8bfbb38ea13db40bd03a5ed7856cf6>  FAQ<https://www.inky.com/banner-faq/>  Protection by INKY<https://www.inky.com>

Thank you,
Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-srv6-services/<https://secure-web.cisco.com/14SrBCDjZct5qVf_DNhjUKYVODVqC1G0zOx9od-H6wbAWsHFnVmr_QR60mWsG30sOjx1KubnSFMEOaMjElhitecfV3ZG2Ws1Mv3E_FSiVnrjjeyW1AHA3eFLRv6r5SGqBAB2FaW4tCiTBVkpbnSd-EULsJwYGBdGwUZ2WpLq0GiKTbgRDZie9Ioi8VigydRyRHw9vGjUk06-0CpGUts1KTm06oDxLhpN9h4K8J-TYTI-GCYF6kD-QlDLNJtCGnowvygo7GtRDqg9ATkd8BmcDb4ewkSfxxqLSPa0Ebaa5aOIEO5hiFoz6HSC34lu22yW3/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-bess-srv6-services%2F>
[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://secure-web.cisco.com/13Vx0yVM0TwfJP5JObdmoqAxKlFesGSbndT5vWuUoMNY5wMAiLN5yH1YVmdqCobmhJ1RBOsywAQKcA0Lc_BhF0ayYe_HIqT3GwwYlYsjInTdJDVz7G8IwfArxSvct1lOKzAZIyOtUZyNO4P98foavUTsgVdjJA6VtMEN9Q9Ni05nThhaa3wM-d6c0HAuHduLsiF69OYb8SJ4lmRUPD1a4ozPC3vSWsxv50LJJWExTjWZ8tvPplA_c5KYNYV4sCXOzPqqfXQ3BW0YHDfHyIEqDCiWoG_JFcoawHRTiD0Hbtluh2Nlvpz5jsrCnecDtCepd/https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Fbess%2FcG3X1tTqb_vPC4rg56SEdkjqDpw>

---

From: "Aijun Wang" <[email-masked]>
Date: Wed, 9 Dec 2020 11:13:25 +0800

Hi, All:

Support its publication.

One comments for the document:

Should the name of document be changed to "BGP based SRv6 overlay services"
to reflect its actual scope?

This document discusses just the distribution of SRv6 service label
distribution via BGP.  As also stated in the document, it also applies in
the plain IPv6 forwarding environment.

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <[email-masked]> On Behalf Of Bocci,
Matthew (Nokia - GB)
Sent: Tuesday, December 1, 2020 1:16 AM
To: [email-masked]; [email-masked]
Subject: [bess] WG Last Call, IPR and Implementation Poll for
draft-ietf-bess-srv6-services-05

This email starts a two-week working group last call for
draft-ietf-bess-srv6-services-05 [1]

Please review the draft and send any comments to the BESS list. Also, please
indicate if you support publishing the draft as a standards track RFC.

We are also polling for knowledge of any undisclosed IPR that applies to
this Document, to ensure that IPR has been disclosed in compliance with IETF
IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

In addition, we are polling for knowledge of implementations of this draft,
per the BESS policy in [2].   

Thank you,

Matthew & Stephane

---

From: Gyan Mishra <[email-masked]>
Date: Tue, 8 Dec 2020 22:53:05 -0500

I support publication of this document.

This is an important very well written document, and is one of the only
Spring documents that describes SRv6-BE w/o SRH and SRv6-TE w/ SRH -SR-TE
policy - BGP Prefix SID overlay service route for L2 VPN, L3 VPN label
encoded into func/arg.

Thanks

Gyan

On Tue, Dec 8, 2020 at 10:13 PM Aijun Wang <[email-masked]>
wrote:

> Should the name of document be changed to “BGP based SRv6 overlay services
> ” to reflect its actual scope?
>
> *From:* [email-masked] <[email-masked]> *On Behalf Of *Bocci,
> Matthew (Nokia - GB)
> *Sent:* Tuesday, December 1, 2020 1:16 AM
> *To:* [email-masked]; [email-masked]
> *Subject:* [bess] WG Last Call, IPR and Implementation Poll for
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Wed, 9 Dec 2020 04:25:03 +0000

Hi Aijun,

Did you actually mean to say that the title should be "SRv6-based BGP Overlay Services"? If so, I agree.

Thanks,
Ketan

From: BESS <[email-masked]> On Behalf Of Aijun Wang
Sent: 09 December 2020 08:43
To: 'Bocci, Matthew (Nokia - GB)' <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Hi, All:

Support its publication.

One comments for the document:
Should the name of document be changed to "BGP based SRv6 overlay services" to reflect its actual scope?
This document discusses just the distribution of SRv6 service label distribution via BGP.  As also stated in the document, it also applies in the plain IPv6 forwarding environment.

Best Regards

Aijun Wang
China Telecom

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>> On Behalf Of Bocci, Matthew (Nokia - GB)
Sent: Tuesday, December 1, 2020 1:16 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

---

From: Aijun Wang <[email-masked]>
Date: Wed, 9 Dec 2020 15:06:00 +0800

Hi, Ketan:

I prefer to “BGP based SRv6 Overlay Service”. This document defines the SRv6 service SID and its control procedures.
Anyway, I know the contents, just want it more understandable.

Aijun Wang
China Telecom

> On Dec 9, 2020, at 12:25, Ketan Talaulikar (ketant) <ketant=[email-masked]> wrote:
> 
> 
> Hi Aijun,
>  
> Did you actually mean to say that the title should be “SRv6-based BGP Overlay Services”? If so, I agree.
>  
> Thanks,
> Ketan
>  
> Should the name of document be changed to “BGP based SRv6 overlay services” to reflect its actual scope?
> From: [email-masked] <[email-masked]> On Behalf Of Bocci, Matthew (Nokia - GB)

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Wed, 9 Dec 2020 08:04:32 +0000

Hi,

I support the publication of this document as standards track RFC.
As a contributor, I'm not aware of any undisclosed IPR.

As reported by others, Cisco has running code in both IOS-XR and NX-OS. This has already been deployed. Additionally, there are opensource implementations in ExaBGP [1] and GoBGP [2]

Thank you,
Pablo.

[1] https://github.com/Exa-Networks/exabgp
[2] https://osrg.github.io/gobgp/

From: BESS <[email-masked]> On Behalf Of Bocci, Matthew (Nokia - GB)
Sent: lunes, 30 de noviembre de 2020 18:16
To: [email-masked]; [email-masked]
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

---

From: "[email-masked]" <[email-masked]>
Date: Wed, 9 Dec 2020 16:24:56 +0800

I've read the draft and I support publishing it as a standards track RFC.

Best Regards,
Zhenqiang Li

[email-masked]
 
From: Bocci, Matthew (Nokia - GB)
Date: 2020-12-01 01:15
To: [email-masked]; [email-masked]
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05
This email starts a two-week working group last call for draft-ietf-bess-srv6-services-05 [1]

 

 
Thank you,
Matthew & Stephane

---

From: "Bernier, Daniel" <[email-masked]>
Date: Wed, 9 Dec 2020 13:57:06 +0000

Hi,

As a contributor I support the adoption and not aware of any IPR

Thanks

Dan Bernier

Thank you,
Matthew & Stephane

---

From: Shyam Sethuram <[email-masked]>
Date: Wed, 9 Dec 2020 06:28:14 -0800

Hello,
I support publishing the draft as a standards track RFC.
I'm not aware of any undisclosed IPR.

Thanks,
Shyam Sethuram

---

From: Sébastien Parisot <[email-masked]>
Date: Thu, 10 Dec 2020 09:38:16 +0100 (CET)

Hello,

I support the publication of draft-ietf-bess-srv6-services-05.

We have deployed BGP based L3 service over SRv6 based on this solution, both with Cisco routers and our own implementation, as described in https://datatracker.ietf.org/doc/draft-matsushima-spring-srv6-deployment-status/ (section 2.3. Iliad).

Thanks,
Sébastien

---

From: "Ahmed Mohamed Ahmed Abdelsalam (ahabdels)" <[email-masked]>
Date: Thu, 10 Dec 2020 10:19:22 +0000

I Support publication of this draft.

Ahmed

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Monday, 30 November 2020 at 18:15
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05
Resent from: <[email-masked]>

Thank you,
Matthew & Stephane

---

From: Ran Pang(联通集团中国联通研究院-本部) <[email-masked]>
Date: Thu, 10 Dec 2020 11:35:07 +0000

Hi, all

Best regards,
Pang Ran

From: Bocci, Matthew (Nokia - GB)<mailto:[email-masked]>
Date: 2020-12-01 01:15
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05
This email starts a two-week working group last call for draft-ietf-bess-srv6-services-05 [1]

Thank you,
Matthew & Stephane

如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked] ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.

---

From: "苏远超(以泰)" <[email-masked]>
Date: Fri, 11 Dec 2020 11:09:56 +0800

Dear WG,
    I think the draft has addressed all the comments.
    We're testing/deploying SRv6 L3VPN in a multi-vendor environment, so I support the this draft to become a RFC
    Thanks.

            Yuanchao Su
            Alibaba Cloud

------------------------------------------------------------------
发件人：Bocci, Matthew (Nokia - GB) <[email-masked]>
发送时间：2020年12月1日(星期二) 01:15
收件人：[email-masked] <[email-masked]>; [email-masked] <[email-masked]>
主　题：WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

 

In addition, we are polling for knowledge of implementationsof this draft, per the BESS policy in [2].   

Thank you,
Matthew & Stephane

---

From: "Xing James Jiang (jamjiang)" <[email-masked]>
Date: Thu, 10 Dec 2020 13:46:51 +0000

Regards.
<null>
Xing James Jiang（蒋星）
SYSTEMS ARCHITECT.SALES
<http://cisco.webex.com/meet/jamjiang><[email-masked]>
Cisco Technologies (Beijing) Co., Ltd
China

发件人: Bocci, Matthew (Nokia - GB) <[email-masked]>
发送时间: 2020年12月1日 1:16
收件人: [email-masked]; [email-masked]
主题: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05

Thank you,
Matthew & Stephane

---

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Mon, 14 Dec 2020 12:05:52 +0000

WG

I believe there is consensus to publish this draft as a Standards Track RFC.

There have been a number of statements expressing knowledge of implementations, in accordance with our implementation policy.

There was one comment on the specification of the size of the label field, but this comment was addressed in the subsequent discussion.

Please look out for my shepherd’s review.

Best regards,

Matthew

From: Bocci, Matthew (Nokia - GB) <[email-masked]>
Date: Monday, 30 November 2020 at 17:15
To: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-srv6-services-05
This email starts a two-week working group last call for draft-ietf-bess-srv6-services-05 [1]

Thank you,
Matthew & Stephane

---

From: Satoru Matsushima <[email-masked]>
Date: Mon, 14 Dec 2020 23:39:04 +0900

Hello bess chairs,

I support the publication for this draft as a standard track RFC. 
As a contributor, I am not aware of any IPRs related to the draft. 

Cheers,
--satoru

> On Dec 1, 2020, at 2:16, Bocci, Matthew (Nokia - GB) <[email-masked]> wrote:
>